/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.java.net
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.persistence.impl;

import java.io.IOException;
import java.io.OutputStream;
import java.util.logging.Logger;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class LoggerPrintStream extends OutputStream
  {
    private static final Logger logger = Logger.getLogger("DATABASE");
    private static final StringBuilder buffer = new StringBuilder();

    @Override
    public void write (final int b) 
      throws IOException 
      {
        if ((b == '\n') || (b == '\r'))
          {
            if (buffer.length() > 0)
              {
                logger.fine(buffer.toString());
              }
            
            buffer.setLength(0);
          }
        else
          {
            buffer.append((char)b);  
          }
      }

    @Override
    public void write (final byte[] b, final int off, final int len) 
      throws IOException 
      {
        for (int i = off; i < off + len; i++)
          {
            write(b[i]);  
          }
      }
  }
